Ceph - Bug #9740

FileJournal::do_write assert(0)
10/10/2014 12:59 PM - Loic Dachary

Status: Duplicate % Done: 0%
Priority: High Spent time: 0.00 hour
Assignee:

Category: OSD

Target version:

Source: other Affected Versions:

Tags: ceph-qa-suite:

Backport: Pull request ID:
Regression: No Crash signature (v1):
Severity: 3 - minor Crash signature (v2):
Reviewed:

Description

http://pulpito.ceph.com/loic-2014-10-10_08:45:20-rados:thrash-erasure-code-isa-master-testing-basic-vps/536207/

—2145> 2014-10-10 07:43:33.114362 7fb2f02be700 10 btrfsfilestorebackend(/var/lib/ceph/osd/ceph-5)

destroy_checkpoint:

-214> 2014-10-10

(17) File exists

-221> 2014-10-10
34751

-220> 2014-10-10
84 seq 36998 len
)

-219> 2014-10-10

07:43:31

07:43:31

07:43:31

881 —-> 4096

07:43:31

622080 header.start 5599232

-218> 2014-10-10
30655

-217> 2014-10-10
80 seqg 36999 len
)

-216> 2014-10-10
76

-215> 2014-10-10

-214> 2014-10-10

(17) File exists

-213> 2014-10-10
7984) failed

-57> 2014-10-10 07:43:31.814872 7fb2ee2ba700 10 filestore(/var/lib/ceph/osd/ceph-5)
s2_TEMP/acdb5565/vpm0367513-41/189//1/18446744073709551615/2
-56> 2014-10-10 07:43:31.814878 7fb2ee2ba700 15 filestore(/var/lib/ceph/osd/ceph-5)

07:43:31

07:43:31

881 —> 4096

07:43:31
07:

07:

43
43

:31
: 31
07:

43:31

'snap_36597"

.794464 Tfb2efabd700

.794365 T7fb2efabd700
.794367 Tfb2efabd700
.794381 T7fb2efabd700
top 4096

.794383 T7fb2efabd700

.794384 T7fb2efabd700

.794392 Tfb2efabd700

.794393 Tfb2efabd700
.794464 Tfb2efabd700

.794481 Tfb2efabd700

(head 40 pre_pad

(head 40 pre_pad

-1 journal FileJournal::write_bl write_fd failed

10 journal check_for_full at 8617984 4096 < 1018

15 journal prepare_single_write 1 will write 86179
0 ebl 881 post_pad 3135 tail 40) (ebl alignment -1

10 journal room 101830655 max_size 104857600 pos 8

10 journal check_for_full at 8622080 4096 < 1018
15 journal prepare_single_write 2 will write 86220
0 ebl 881 post_pad 3135 tail 40) (ebl alignment -1

20 journal prepare_multi_write queue_pos now 86261

15
=1,

journal do_write writing 8617984~8192

journal FiledJournal::write_Dbl write_fd failed

-1 journal FileJournal::do_write: write_bl (pos=861

remove 1.65

=2

touch 1.65s

2_TEMP/acdb5565/vpm0367513-41/189//1/18446744073709551615/2

-55> 2014-10-10 07:43:31.815053 7fb2ee2ba700 10 filestore(/var/lib/ceph/osd/ceph-5)
2_TEMP/acdb5565/vpm0367513-41/189//1/18446744073709551615/2
-54> 2014-10-10 07:43:31.815062 7fb2ee2ba700 15 filestore(/var/lib/ceph/osd/ceph-5)

touch 1.65s
=0

write 1.65s

2_TEMP/acdb5565/vpm0367513-41/189//1/18446744073709551615/2 0~524288

-53> 2014-10-10 07:43:31.815834 7fb2ee2ba700 10 filestore(/var/lib/ceph/osd/ceph-5)
2_TEMP/acdb5565/vpm0367513-41/189//1/18446744073709551615/2 0~524288

04/03/2024

write 1.65s

524288

1/2



http://pulpito.ceph.com/loic-2014-10-10_08:45:20-rados:thrash-erasure-code-isa-master-testing-basic-vps/536207/

-52> 2014-10-10 07:43:31.815950 7fb2ee2ba700 15 filestore(/var/lib/ceph/osd/ceph-5) setattrs 1.
65s2_TEMP/acdb5565/vpm0367513-41/189//1/18446744073709551615/2

-51> 2014-10-10 07:43:31.816466 7fb2ee2ba700 20 filestore dbobjectmap: seq is 1955

-50> 2014-10-10 07:43:31.816554 7fb2ee2ba700 20 filestore set_map_header: setting 1954 oid acdb
5565/vpm0367513-41/189//1/18446744073709551615/2 parent seq O

—-49> 2014-10-10 07:43:31.816625 7fb2ee2ba700 10 filestore oid: acdb5565/vpm0367513-41/189//1/18
446744073709551615/2 not skipping op, *spos 36997.0.7

-48> 2014-10-10 07:43:31.816660 7fb2ee2ba700 10 filestore > header.spos 0.0.0

-47> 2014-10-10 07:43:31.816974 7fb2ee2ba700 10 filestore(/var/lib/ceph/osd/ceph-5) setattrs 1.
65s2_TEMP/acdb5565/vpm0367513-41/189//1/18446744073709551615/2 = 0

-46> 2014-10-10 07:43:31.817038 7fb2ee2ba700 15 filestore(/var/lib/ceph/osd/ceph-5) remove 1.65
s2_head/acdb5565/vpm0367513-41/199//1/18446744073709551615/2

—-45> 2014-10-10 07:43:31.817155 7fb2ee2ba700 20 filestore(/var/lib/ceph/osd/ceph-5) lfn_unlink:
clearing omap on acdb5565/vpm0367513-41/199//1/18446744073709551615/2 in cid 1.65s2_head

-44> 2014-10-10 07:43:31.817235 7fb2ee2ba700 10 filestore oid: acdb5565/vpm0367513-41/199//1/18
446744073709551615/2 not skipping op, *spos 36997.0.8

-43> 2014-10-10 07:43:31.817273 7fb2ee2ba700 10 filestore > header.spos 36136.0.7

—-42> 2014-10-10 07:43:31.817304 7fb2ee2ba700 20 filestore remove_map_header: removing 1906 oid
acdb5565/vpm0367513-41/199//1/18446744073709551615/2

-41> 2014-10-10 07:43:31.817342 7fb2ee2ba700 20 filestore clear_header: clearing seq 1906

-40> 2014-10-10 07:43:31.823339 7fb2efabd700 -1 os/FiledJournal.cc: In function 'void FileJourna
l::do_write(ceph::bufferlisté&)' thread 7fb2efabd700 time 2014-10-10 07:43:31.794493
os/FileJournal.cc: 1039: FAILED assert (0)

ceph version 0.86-315-g78be62f (78be62£739e39d1bel0648eeall5a756d5e169b5)

: (ceph::__ceph_assert_fail (char const*, char const*, int, char const*)+0x8b) [0xb82eab]
(FileJournal::do_write (ceph::buffer::1ist&)+0xaba) [0xadb7ca]
(FileJournal::write_thread_entry () +0x151) [Oxadecdl]

(FileJournal::Writer::entry()+0xd) [0x917bdd]

(()+0x8182) [0x7fb2fbe73182]

(clone () +0x6d) [0x7fb2fa3ddfbd]

NOTE: a copy of the executable, or "objdump -rdS <executable>' 1is needed to interpret this.
Related issues:
Duplicates Ceph - Bug #9443: btrfs pwrite returns EEXIST on journal FileJourn... Rejected 09/11/2014

History

#1 - 10/10/2014 01:01 PM - Loic Dachary

- Description updated
#2 - 10/10/2014 01:03 PM - Loic Dachary

- Description updated

- Status changed from New to Duplicate

04/03/2024 22
